﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SearchSample.aspx.cs" Inherits="SearchSample" %>

<!DOCTYPE html>

<html lang="en">
<head runat="server">
    <title>Ektron Search Sample</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="Frameworks/Bootstrap/css/bootstrap.css" rel="stylesheet" media="screen" />
    <link href="Styles/main.css" rel="stylesheet" media="screen" />    
</head>
<body>
    <div class="container">        
        <header class="page-header">
            <h2>Site Search Sample <small>A functional tutorial for Ektron's Search Framework API</small></h2>
        </header>
        <form id="frmSearch" class="form-search" runat="server" defaultbutton="btnSearch" defaultfocus="txtKeywords">
            <div class="row-fluid">
                <div id="facets" class="span3">
                    <asp:Repeater ID="rptFacets" runat="server">
                        <HeaderTemplate>
                            <ul>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <li id="liFacet" runat="server" visible='<%# Eval("HasItems") %>'>
                                <h3><%# Eval("Header") %></h3>
                                <asp:Repeater ID="rptFacet" runat="server" DataSource='<%# Eval("Items") %>'>                                    
                                    <HeaderTemplate>
                                        <ul>
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <li><a href='<%# Eval("Link") %>'><%# Eval("Label") %></a> (<%# Eval("Count") %>)</li>
                                    </ItemTemplate>
                                    <FooterTemplate>                                            
                                        </ul>
                                    </FooterTemplate>
                                </asp:Repeater>
                            </li>
                        </ItemTemplate>
                        <FooterTemplate>
                            </ul>
                        </FooterTemplate>
                    </asp:Repeater>
                </div>
                <div id="search" class="span9">
                    <div id="query" class="input-append row-fluid">
                        <asp:TextBox ID="txtKeywords" runat="server" CssClass="input-xxlarge search-query" placeholder="What can we help you find?"></asp:TextBox>
                        <asp:Button ID="btnSearch" runat="server" CssClass="btn" Text="Search" OnClick="btnSearch_Click" />
                    </div>
                    <div id="results" class="row-fluid">
                        <asp:Repeater ID="rptResults" runat="server">
                            <HeaderTemplate>
                                <ul>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <li class="result">
                                    <a href='<%# Eval("Link") %>'><%# Eval("Title") %></a>
                                    <div class="result-text"><%# Eval("Summary") %></div>
                                    <div class="result-info" id="divResultInfo" runat="server" visible='<%# ((long)Eval("Id")) > 0 %>'>
                                        <small><%# Eval("Id") %> - <%# Eval("Date") %></small>
                                    </div>
                                </li>
                            </ItemTemplate>                            
                            <FooterTemplate>
                                </ul>
                            </FooterTemplate>
                        </asp:Repeater>
                    </div>
                        <asp:Repeater ID="rptPagination" runat="server">
                            <HeaderTemplate>
                                <div class="pagination pagination-large"><ul>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <asp:PlaceHolder ID="phDisabledPage" runat="server" Visible='<%# (bool)Eval("IsDisabled") %>'>
                                    <li class="disabled">
                                        <a href="#"><%# Eval("Label") %></a>
                                    </li>
                                </asp:PlaceHolder>
                                <asp:PlaceHolder ID="phEnabledPage" runat="server" Visible='<%# !(bool)Eval("IsDisabled") %>'>
                                    <li class='<%# ((bool)Eval("IsActive")) ? "active" : "" %>'>
                                        <a href='<%# Eval("Link") %>'><%# Eval("Label") %></a>
                                    </li>
                                </asp:PlaceHolder>
                            </ItemTemplate>
                            <FooterTemplate>
                                </ul></div>
                            </FooterTemplate>
                        </asp:Repeater>
                </div>
            </div>
        </form>
    </div>
</body>
</html>
